Debian Bug report logs - #514390
ITP: libtest-apocalypse-perl -- tests bundled into a simple interface

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Rene Mayorga <rmayorga@debian.org>

Date: Fri, 6 Feb 2009 23:30:04 UTC

Owned by: Rene Mayorga <rmayorga@debian.org>

Severity: wishlist

Fixed in version libtest-apocalypse-perl/0.05-1

Done: Ryan Niebur <ryan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, <wnpp@debian.org>:
Bug#514390; Package wnpp. (Fri, 06 Feb 2009 23:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rene Mayorga <rmayorga@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, <wnpp@debian.org>. (Fri, 06 Feb 2009 23:30:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rene Mayorga <rmayorga@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libtest-apocalypse-perl -- tests bundled into a simple interface
Date: Fri, 6 Feb 2009 17:22:58 -0600
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Rene Mayorga <rmayorga@debian.org>

* Package name    : libtest-apocalypse-perl
  Version         : 0.03
  Upstream Author : Apocalypse <apocal@cpan.org>
* URL             : http://search.cpan.org/dist/Test-Apocalypse/
* License         : GPL/Artistic
  Programming Lang: Perl
  Description     : tests bundled into a simple interface

Test::Apocalypse greatly simplifies common author tests for modules
heading towards CPAN.
.
This module respects the TEST_AUTHOR env variable, if it is not set it
will skip the entire testsuite.


This package will be maintained under the umbrella of the 
Debian pkg-perl group.

Cheers
-- 
Rene Mauricio Mayorga   |  jabber: rmayorga@jabber.org
http://rmayorga.org     |  
--------------------------------------------------
08B6 58AB A691 DD56 C30B  8D37 8040 19FA A209 C305
[signature.asc (application/pgp-signature, inline)]

Blocking bugs of 514390 added: 514941 Request was from Rene Mayorga <rmayorga@debian.org> to control@bugs.debian.org. (Thu, 12 Feb 2009 03:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Rene Mayorga <rmayorga@debian.org>:
Bug#514390; Package wnpp. (Thu, 30 Apr 2009 05:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Rene Mayorga <rmayorga@debian.org>. (Thu, 30 Apr 2009 05:06:02 GMT) Full text and rfc822 format available.

Message #12 received at 514390@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: René Mayorga <rmayorga@debian.org>
Cc: debian-perl@lists.debian.org, 514390@bugs.debian.org
Subject: Re: libpoe-component-server-soap-perl and Depends needed to run tests
Date: Wed, 29 Apr 2009 22:02:59 -0700
[Message part 1 (text/plain, inline)]
block 514390 by 520194
block 514390 by 525300
block 514390 by 512774
block 514390 by 519771
block 514390 by 499402
thanks

On Wed, Apr 29, 2009 at 02:58:41AM -0600, René Mayorga wrote:
> 
> But since my lack of time on this days, I leave some depends that
> still need to be ITPed, so, if someone have enough free time
> and want to help  will be appreciated.
> 

That will apparently require packaging Perl::Metrics::Simple,
Test::CheckChanges, Test::CheckManifest, Test::Dir, Test::HasVersion,
Test::Signature, and Test::UseAllModules, and any dependencies that
those have, in addition to poking the owners of the above listed ITPs.

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Blocking bugs of 514390 added: 520194 Request was from Ryan Niebur <ryanryan52@gmail.com> to control@bugs.debian.org. (Thu, 30 Apr 2009 05:09:02 GMT) Full text and rfc822 format available.

Blocking bugs of 514390 added: 525300 Request was from Ryan Niebur <ryanryan52@gmail.com> to control@bugs.debian.org. (Thu, 30 Apr 2009 05:09:04 GMT) Full text and rfc822 format available.

Blocking bugs of 514390 added: 512774 Request was from Ryan Niebur <ryanryan52@gmail.com> to control@bugs.debian.org. (Thu, 30 Apr 2009 05:09:05 GMT) Full text and rfc822 format available.

Blocking bugs of 514390 added: 519771 Request was from Ryan Niebur <ryanryan52@gmail.com> to control@bugs.debian.org. (Thu, 30 Apr 2009 05:09:06 GMT) Full text and rfc822 format available.

Blocking bugs of 514390 added: 499402 Request was from Ryan Niebur <ryanryan52@gmail.com> to control@bugs.debian.org. (Thu, 30 Apr 2009 05:09:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Rene Mayorga <rmayorga@debian.org>:
Bug#514390; Package wnpp. (Thu, 30 Apr 2009 05:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Rene Mayorga <rmayorga@debian.org>. (Thu, 30 Apr 2009 05:12:02 GMT) Full text and rfc822 format available.

Message #27 received at 514390@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: René Mayorga <rmayorga@debian.org>
Cc: debian-perl@lists.debian.org, 514390@bugs.debian.org
Subject: Re: libpoe-component-server-soap-perl and Depends needed to run tests
Date: Wed, 29 Apr 2009 22:09:51 -0700
[Message part 1 (text/plain, inline)]
On Wed, Apr 29, 2009 at 10:02:59PM -0700, Ryan Niebur wrote:
> 
> That will apparently require packaging Perl::Metrics::Simple,
> Test::CheckChanges, Test::CheckManifest, Test::Dir, Test::HasVersion,
> Test::Signature, and Test::UseAllModules, and any dependencies that
> those have, in addition to poking the owners of the above listed ITPs.
> 

err, not Test::Signature, it's already packaged, dh-make-perl is using
outdated info on my system.

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#514390; Package wnpp. (Thu, 30 Apr 2009 05:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and filed, but not forwarded. (Thu, 30 Apr 2009 05:18:02 GMT) Full text and rfc822 format available.

Message #32 received at 514390-quiet@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: René Mayorga <rmayorga@debian.org>
Cc: debian-perl@lists.debian.org, 514390-quiet@bugs.debian.org
Subject: Re: libpoe-component-server-soap-perl and Depends needed to run tests
Date: Wed, 29 Apr 2009 22:17:06 -0700
[Message part 1 (text/plain, inline)]
On Wed, Apr 29, 2009 at 10:09:51PM -0700, Ryan Niebur wrote:
> On Wed, Apr 29, 2009 at 10:02:59PM -0700, Ryan Niebur wrote:
> > 
> > That will apparently require packaging Perl::Metrics::Simple,
> > Test::CheckChanges, Test::CheckManifest, Test::Dir, Test::HasVersion,
> > Test::Signature, and Test::UseAllModules, and any dependencies that
> > those have, in addition to poking the owners of the above listed ITPs.
> > 
> 

and I'll package Test::UseAllModules and Perl::Metrics::Simple

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Blocking bugs of 514390 added: 526247 Request was from Ryan Niebur <ryanryan52@gmail.com> to control@bugs.debian.org. (Thu, 30 Apr 2009 05:39:03 GMT) Full text and rfc822 format available.

Blocking bugs of 514390 added: 526245 Request was from Ryan Niebur <ryanryan52@gmail.com> to control@bugs.debian.org. (Thu, 30 Apr 2009 05:39:05 GMT) Full text and rfc822 format available.

Blocking bugs of 514390 added: 526417 Request was from Ryan Niebur <ryanryan52@gmail.com> to control@bugs.debian.org. (Fri, 01 May 2009 02:24:03 GMT) Full text and rfc822 format available.

Blocking bugs of 514390 added: 526414 Request was from Ryan Niebur <ryanryan52@gmail.com> to control@bugs.debian.org. (Fri, 01 May 2009 02:24:05 GMT) Full text and rfc822 format available.

Blocking bugs of 514390 added: 526415 Request was from Ryan Niebur <ryanryan52@gmail.com> to control@bugs.debian.org. (Fri, 01 May 2009 02:24:06 GMT) Full text and rfc822 format available.

Blocking bugs of 514390 added: 526416 Request was from Ryan Niebur <ryanryan52@gmail.com> to control@bugs.debian.org. (Fri, 01 May 2009 02:24:08 GMT) Full text and rfc822 format available.

Information stored :
Bug#514390; Package wnpp. (Fri, 01 May 2009 02:24:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and filed, but not forwarded. (Fri, 01 May 2009 02:24:10 GMT) Full text and rfc822 format available.

Message #49 received at 514390-quiet@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: 514390-quiet@bugs.debian.org
Cc: debian-perl@lists.debian.org
Subject: Re: libpoe-component-server-soap-perl and Depends needed to run tests
Date: Thu, 30 Apr 2009 19:23:25 -0700
[Message part 1 (text/plain, inline)]
On Wed, Apr 29, 2009 at 10:17:06PM -0700, Ryan Niebur wrote:
> On Wed, Apr 29, 2009 at 10:09:51PM -0700, Ryan Niebur wrote:
> > On Wed, Apr 29, 2009 at 10:02:59PM -0700, Ryan Niebur wrote:
> > > 
> > > That will apparently require packaging Perl::Metrics::Simple,
> > > Test::CheckChanges, Test::CheckManifest, Test::Dir, Test::HasVersion,
> > > Test::Signature, and Test::UseAllModules, and any dependencies that
> > > those have, in addition to poking the owners of the above listed ITPs.
> > > 
> > 
> 
> and I'll package Test::UseAllModules and Perl::Metrics::Simple
> 

packages are ready in svn, I have created 4 RFP bugs for the other needed dependencies.

RFP: libtest-hasversion-perl: http://bugs.debian.org/526417
RFP: libtest-checkchanges-perl: http://bugs.debian.org/526414
RFP: libtest-checkmanifest-perl: http://bugs.debian.org/526415
RFP: libtest-dir-perl: http://bugs.debian.org/526416

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Rene Mayorga <rmayorga@debian.org>:
Bug#514390; Package wnpp. (Mon, 04 May 2009 08:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Rene Mayorga <rmayorga@debian.org>. (Mon, 04 May 2009 08:30:02 GMT) Full text and rfc822 format available.

Message #54 received at 514390@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: 514390@bugs.debian.org
Cc: 526415-quiet@bugs.debian.org
Subject: Re: RFP: libtest-checkmanifest-perl -- Perl library to check if your Manifest matches your distro
Date: Mon, 4 May 2009 01:29:07 -0700
[Message part 1 (text/plain, inline)]
I'm hoping that libtest-checkmanifest-perl might not be needed after all, but this is just speculation..

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Rene Mayorga <rmayorga@debian.org>:
Bug#514390; Package wnpp. (Tue, 05 May 2009 01:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Rene Mayorga <rmayorga@debian.org>. (Tue, 05 May 2009 01:42:02 GMT) Full text and rfc822 format available.

Message #59 received at 514390@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: 526415-done@bugs.debian.org
Cc: 514390@bugs.debian.org
Subject: checkmanifest probably won't be needed in the near future
Date: Mon, 4 May 2009 18:41:04 -0700
[Message part 1 (text/plain, inline)]
jawnsy says that Apocalypse will probably switch to his thing, which
is already packaged, so for now I am closing that RFP.

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Rene Mayorga <rmayorga@debian.org>:
Bug#514390; Package wnpp. (Fri, 08 May 2009 05:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Rene Mayorga <rmayorga@debian.org>. (Fri, 08 May 2009 05:33:03 GMT) Full text and rfc822 format available.

Message #64 received at 514390@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: 514390@bugs.debian.org
Cc: 499402-quiet@bugs.debian.org, 519771-quiet@bugs.debian.org, 525300-quiet@bugs.debian.org, 512774-quiet@bugs.debian.org, "Jeremiah C. Foster" <jeremiah@jeremiahfoster.com>, Peter Pentchev <roam@ringlet.net>, Jonathan Yu <frequency@cpan.org>
Subject: Status of Test-Apocalypse
Date: Thu, 7 May 2009 22:30:37 -0700
[Message part 1 (text/plain, inline)]
okay, so the only things left for Test-Apocalypse are for:
a) upstream to switch to jawnsy's test-distmanifest (jawnsy talked to apocal about this)
b) libtest-strict-perl, libtest-portability-files-perl,
libmodule-cpants-analyse-perl (and therefor libarray-diff-perl), and
libtest-file-perl need to get packaged. Jeremiah, Peter, what's the
status of these packages?

Jeremiah, for libtest-strict-perl it looks like somebody just needs to
do the TODOs listed in the changelog.
Jeremiah, it looks like libtest-file-perl just needs you to either ask
upstream to make the change or patch it in.
Peter, for libtest-portability-files-perl it looks again like somebody
just needs to do the TODOs listed in the changelog.
Peter, for libmodule-cpants-analyse-perl it looks like you were going
to email upstream, have you done that yet?
Peter, for libarray-diff-perl it looks like you again need to email
the upstream author, have you done that yet?
Jonathan, do you know what the status of Test-Apocalypse switching is?

I will happily work on these packages if you ask me to.

Thanks,
Ryan

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Rene Mayorga <rmayorga@debian.org>:
Bug#514390; Package wnpp. (Fri, 08 May 2009 07:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Pentchev <roam@ringlet.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Rene Mayorga <rmayorga@debian.org>. (Fri, 08 May 2009 07:15:05 GMT) Full text and rfc822 format available.

Message #69 received at 514390@bugs.debian.org (full text, mbox):

From: Peter Pentchev <roam@ringlet.net>
To: Ryan Niebur <ryanryan52@gmail.com>
Cc: 514390@bugs.debian.org, 499402-quiet@bugs.debian.org, 519771-quiet@bugs.debian.org, 525300-quiet@bugs.debian.org, 512774-quiet@bugs.debian.org, "Jeremiah C. Foster" <jeremiah@jeremiahfoster.com>, Jonathan Yu <frequency@cpan.org>, gregor herrmann <gregoa@debian.org>
Subject: Re: Status of Test-Apocalypse
Date: Fri, 8 May 2009 10:12:28 +0300
[Message part 1 (text/plain, inline)]
On Thu, May 07, 2009 at 10:30:37PM -0700, Ryan Niebur wrote:
> okay, so the only things left for Test-Apocalypse are for:
> a) upstream to switch to jawnsy's test-distmanifest (jawnsy talked to apocal about this)
> b) libtest-strict-perl, libtest-portability-files-perl,
> libmodule-cpants-analyse-perl (and therefor libarray-diff-perl), and
> libtest-file-perl need to get packaged. Jeremiah, Peter, what's the
> status of these packages?
> 
> Jeremiah, for libtest-strict-perl it looks like somebody just needs to
> do the TODOs listed in the changelog.
> Jeremiah, it looks like libtest-file-perl just needs you to either ask
> upstream to make the change or patch it in.
> Peter, for libtest-portability-files-perl it looks again like somebody
> just needs to do the TODOs listed in the changelog.

Well, the only to-do item left for two weeks now has been
the debian/rules format one.  I raised a discussion about it on
the debian-perl list:

   http://lists.debian.org/debian-perl/2009/04/msg00065.html

...and I'm not quite sure what the outcome of that discussion is :)
Gregor, may we consider Test::Portability::Files as another test case for
the new "%: dh $@" rules format, or should I just revert it back to
the standard dh 7.0 look?

> Peter, for libmodule-cpants-analyse-perl it looks like you were going
> to email upstream, have you done that yet?

Yes, http://lists.debian.org/debian-perl/2009/04/msg00093.html -
no answer so far.

> Peter, for libarray-diff-perl it looks like you again need to email
> the upstream author, have you done that yet?

Yes, http://lists.debian.org/debian-perl/2009/04/msg00094.html -
with a quick answer from upstream, but no new version released yet.

> Jonathan, do you know what the status of Test-Apocalypse switching is?
> 
> I will happily work on these packages if you ask me to.

G'luck,
Peter

-- 
Peter Pentchev	roam@ringlet.net    roam@space.bg    roam@FreeBSD.org
PGP key:	http://people.FreeBSD.org/~roam/roam.key.asc
Key fingerprint	FDBA FD79 C26F 3C51 C95E  DF9E ED18 B68D 1619 4553
I am jealous of the first word in this sentence.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Rene Mayorga <rmayorga@debian.org>:
Bug#514390; Package wnpp. (Fri, 08 May 2009 13:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Yu <frequency@cpan.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Rene Mayorga <rmayorga@debian.org>. (Fri, 08 May 2009 13:27:05 GMT) Full text and rfc822 format available.

Message #74 received at 514390@bugs.debian.org (full text, mbox):

From: Jonathan Yu <frequency@cpan.org>
To: Ryan Niebur <ryanryan52@gmail.com>
Cc: 514390@bugs.debian.org, 499402-quiet@bugs.debian.org, 519771-quiet@bugs.debian.org, 525300-quiet@bugs.debian.org, 512774-quiet@bugs.debian.org, "Jeremiah C. Foster" <jeremiah@jeremiahfoster.com>, Peter Pentchev <roam@ringlet.net>
Subject: Re: Status of Test-Apocalypse
Date: Fri, 8 May 2009 09:24:06 -0400
Ryan:

On Fri, May 8, 2009 at 1:30 AM, Ryan Niebur <ryanryan52@gmail.com> wrote:
> okay, so the only things left for Test-Apocalypse are for:
> a) upstream to switch to jawnsy's test-distmanifest (jawnsy talked to apocal about this)
> b) libtest-strict-perl, libtest-portability-files-perl,
> libmodule-cpants-analyse-perl (and therefor libarray-diff-perl), and
> libtest-file-perl need to get packaged. Jeremiah, Peter, what's the
> status of these packages?
>
> Jeremiah, for libtest-strict-perl it looks like somebody just needs to
> do the TODOs listed in the changelog.
> Jeremiah, it looks like libtest-file-perl just needs you to either ask
> upstream to make the change or patch it in.
> Peter, for libtest-portability-files-perl it looks again like somebody
> just needs to do the TODOs listed in the changelog.
> Peter, for libmodule-cpants-analyse-perl it looks like you were going
> to email upstream, have you done that yet?
> Peter, for libarray-diff-perl it looks like you again need to email
> the upstream author, have you done that yet?
> Jonathan, do you know what the status of Test-Apocalypse switching is?

19:22:38 < jawnsy> Apocalypse: ping
19:34:52 < Apocalypse> jawnsy: pong! I'm actually heading to bed now (
just arrived in Berlin ) but I saw your email :)
19:35:16 < Apocalypse> jawnsy: I'll reply to you tmw with the
"official" plan but yeah I think I'll just switch it over quickly so
                       you guys can proceed with your fun :)
19:41:11 < jawnsy> thanks :-)
19:42:09 < Apocalypse> np, and thanks for reminding me to move forward
with the gameplan :)

That is all I know about it thus far. As far as I can tell he has no
problem switching in the near future. If there are specific questions
you want me to ask him, I can e-mail him again, or find him on IRC.
>
> I will happily work on these packages if you ask me to.
>
> Thanks,
> Ryan
>
> --
> _________________________
> Ryan Niebur
> ryanryan52@gmail.com
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.9 (GNU/Linux)
>
> iEYEARECAAYFAkoDw30ACgkQMihv+PacasXI+ACg107oJ1EAaoq/ED/mcQeNVL8H
> nFwAn2XMBQleCVjxsolKRUPkhu2fCSX5
> =xEKL
> -----END PGP SIGNATURE-----
>
>

Hope this helps,

Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Rene Mayorga <rmayorga@debian.org>:
Bug#514390; Package wnpp. (Mon, 11 May 2009 03:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to 514390@bugs.debian.org, debian-perl@lists.debian.org, Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Rene Mayorga <rmayorga@debian.org>. (Mon, 11 May 2009 03:15:02 GMT) Full text and rfc822 format available.

Message #79 received at 514390@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: Jeremiah Foster <jeremiah@jeremiahfoster.com>
Cc: debian-perl@lists.debian.org, 514390@bugs.debian.org
Subject: Re: Status of Test-Apocalypse
Date: Sun, 10 May 2009 20:14:25 -0700
[Message part 1 (text/plain, inline)]
Hi Jeremiah,

On Fri, May 08, 2009 at 10:04:06AM +0200, Jeremiah Foster wrote:
>> Jeremiah, for libtest-strict-perl it looks like somebody just needs to
>> do the TODOs listed in the changelog.
>
> I will do this, now.
>

I see that you did this, thanks for that. however it doesn't show up
in the "ready for upload" section in PET because there's a new
upstream version. can you please svn-upgrade it or do you want me to?

>> Jeremiah, it looks like libtest-file-perl just needs you to either ask
>> upstream to make the change or patch it in.
>
> I suspect I will have to patch it in myself, I have talked with upstream 
> about this, but only in passing. I will try and discuss it again but I 
> doubt brian will want my advice on how to build his modules.
>

looking at this myself, I see no need to ask brian to move the
file. afaik, the correct fix for this is to make a change to the
Makefile.PL like this:
-               'lib/File.pm' => '$(INST_MAN3DIR)/Test::File.3',
+               'lib/File.pm' => '$(INST_MAN3DIR)/Test::File.$(MAN3EXT)',

that should also be changed upstream. If you want me to I can patch
that into the package and forward it upstream.

I don't mean to rush you on these packages, sorry if I come across
that way (I kind of feel like I am..).

Thanks,
Ryan

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Rene Mayorga <rmayorga@debian.org>:
Bug#514390; Package wnpp. (Mon, 11 May 2009 10:00:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremiah Foster <jeremiah@jeremiahfoster.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Rene Mayorga <rmayorga@debian.org>. (Mon, 11 May 2009 10:00:14 GMT) Full text and rfc822 format available.

Message #84 received at 514390@bugs.debian.org (full text, mbox):

From: Jeremiah Foster <jeremiah@jeremiahfoster.com>
To: 514390@bugs.debian.org, debian-perl@lists.debian.org, Ryan Niebur <ryanryan52@gmail.com>
Subject: Re: Status of Test-Apocalypse
Date: Mon, 11 May 2009 11:49:59 +0200
On May 11, 2009, at 5:14, Ryan Niebur wrote:

> Hi Jeremiah,
>
> On Fri, May 08, 2009 at 10:04:06AM +0200, Jeremiah Foster wrote:
>>> Jeremiah, for libtest-strict-perl it looks like somebody just  
>>> needs to
>>> do the TODOs listed in the changelog.
>>
>> I will do this, now.
>
> I see that you did this, thanks for that. however it doesn't show up
> in the "ready for upload" section in PET because there's a new
> upstream version. can you please svn-upgrade it or do you want me to?

I shall do it immediately. :)

>
>>> Jeremiah, it looks like libtest-file-perl just needs you to either  
>>> ask
>>> upstream to make the change or patch it in.
>>
>> I suspect I will have to patch it in myself, I have talked with  
>> upstream
>> about this, but only in passing. I will try and discuss it again  
>> but I
>> doubt brian will want my advice on how to build his modules.
>>
>
> looking at this myself, I see no need to ask brian to move the
> file. afaik, the correct fix for this is to make a change to the
> Makefile.PL like this:
> -               'lib/File.pm' => '$(INST_MAN3DIR)/Test::File.3',
> +               'lib/File.pm' => '$(INST_MAN3DIR)/Test::File.$ 
> (MAN3EXT)',
>
> that should also be changed upstream. If you want me to I can patch
> that into the package and forward it upstream.

That would be excellent - thanks for working this out.
>
> I don't mean to rush you on these packages, sorry if I come across
> that way (I kind of feel like I am..).

Not at all, please don't feel that way. What you are doing is the hard  
work of co-ordinating the debian-perl group so that specific software  
can get into debian and reach users. This is really, really important.  
I think you have been helpful and professional so I thank you for your  
efforts.

Warm regards,

Jeremiah




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Rene Mayorga <rmayorga@debian.org>:
Bug#514390; Package wnpp. (Tue, 12 May 2009 02:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Rene Mayorga <rmayorga@debian.org>. (Tue, 12 May 2009 02:33:02 GMT) Full text and rfc822 format available.

Message #89 received at 514390@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: Jeremiah Foster <jeremiah@jeremiahfoster.com>
Cc: 514390@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Status of Test-Apocalypse
Date: Mon, 11 May 2009 19:29:45 -0700
[Message part 1 (text/plain, inline)]
On Mon, May 11, 2009 at 11:49:59AM +0200, Jeremiah Foster wrote:
>
> On May 11, 2009, at 5:14, Ryan Niebur wrote:
>
>> Hi Jeremiah,
>>
>> On Fri, May 08, 2009 at 10:04:06AM +0200, Jeremiah Foster wrote:
>>>> Jeremiah, for libtest-strict-perl it looks like somebody just  
>>>> needs to
>>>> do the TODOs listed in the changelog.
>>>
>>> I will do this, now.
>>
>> I see that you did this, thanks for that. however it doesn't show up
>> in the "ready for upload" section in PET because there's a new
>> upstream version. can you please svn-upgrade it or do you want me to?
>
> I shall do it immediately. :)
>

I see it's in NEW now, thanks!

>>
>>>> Jeremiah, it looks like libtest-file-perl just needs you to either  
>>>> ask
>>>> upstream to make the change or patch it in.
>>>
>>> I suspect I will have to patch it in myself, I have talked with  
>>> upstream
>>> about this, but only in passing. I will try and discuss it again but 
>>> I
>>> doubt brian will want my advice on how to build his modules.
>>>
>>
>> looking at this myself, I see no need to ask brian to move the
>> file. afaik, the correct fix for this is to make a change to the
>> Makefile.PL like this:
>> -               'lib/File.pm' => '$(INST_MAN3DIR)/Test::File.3',
>> +               'lib/File.pm' => '$(INST_MAN3DIR)/Test::File.$ 
>> (MAN3EXT)',
>>
>> that should also be changed upstream. If you want me to I can patch
>> that into the package and forward it upstream.
>
> That would be excellent - thanks for working this out.

ok, I will take care of this, thanks.

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Rene Mayorga <rmayorga@debian.org>:
Bug#514390; Package wnpp. (Wed, 20 May 2009 02:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Rene Mayorga <rmayorga@debian.org>. (Wed, 20 May 2009 02:03:03 GMT) Full text and rfc822 format available.

Message #94 received at 514390@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: 514390@bugs.debian.org
Subject: status of Test-Apocalypse
Date: Tue, 19 May 2009 19:00:48 -0700
[Message part 1 (text/plain, inline)]
just waiting for module-cpants-analyse's upstream author to answer
Peter about the copyright, and for test-apocalypse's author to switch
to jawnsy's thing.

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Blocking bugs of 514390 added: 536553 Request was from Ryan Niebur <ryanryan52@gmail.com> to control@bugs.debian.org. (Sat, 11 Jul 2009 04:51:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Rene Mayorga <rmayorga@debian.org>:
Bug#514390; Package wnpp. (Sat, 11 Jul 2009 04:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Rene Mayorga <rmayorga@debian.org>. (Sat, 11 Jul 2009 04:57:02 GMT) Full text and rfc822 format available.

Message #101 received at 514390@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: 514390@bugs.debian.org
Subject: status of Test-Apocalypse
Date: Fri, 10 Jul 2009 21:55:18 -0700
[Message part 1 (text/plain, inline)]
Test-CheckManifest is packaged and ready to be upload, so Apocalypse
won't need to switch to Test-DistManifest yet.

The author of Module-CPANTS-Analyse answered, we've got the info we
need, and Jonathan is going to complete its debian/copyright tomorrow.

After those two are uploaded, I will complete Test-Apocalypse.

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 09 Jan 2010 07:06:07 GMT) Full text and rfc822 format available.

Reply sent to Ryan Niebur <ryan@debian.org>:
You have taken responsibility. (Sat, 09 Jan 2010 18:03:19 GMT) Full text and rfc822 format available.

Notification sent to Rene Mayorga <rmayorga@debian.org>:
Bug acknowledged by developer. (Sat, 09 Jan 2010 18:03:19 GMT) Full text and rfc822 format available.

Message #108 received at 514390-close@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryan@debian.org>
To: 514390-close@bugs.debian.org
Subject: Bug#514390: fixed in libtest-apocalypse-perl 0.05-1
Date: Sat, 09 Jan 2010 18:02:06 +0000
Source: libtest-apocalypse-perl
Source-Version: 0.05-1

We believe that the bug you reported is fixed in the latest version of
libtest-apocalypse-perl, which is due to be installed in the Debian FTP archive:

libtest-apocalypse-perl_0.05-1.diff.gz
  to main/libt/libtest-apocalypse-perl/libtest-apocalypse-perl_0.05-1.diff.gz
libtest-apocalypse-perl_0.05-1.dsc
  to main/libt/libtest-apocalypse-perl/libtest-apocalypse-perl_0.05-1.dsc
libtest-apocalypse-perl_0.05-1_all.deb
  to main/libt/libtest-apocalypse-perl/libtest-apocalypse-perl_0.05-1_all.deb
libtest-apocalypse-perl_0.05.orig.tar.gz
  to main/libt/libtest-apocalypse-perl/libtest-apocalypse-perl_0.05.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 514390@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ryan Niebur <ryan@debian.org> (supplier of updated libtest-apocalypse-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 08 Jan 2010 18:18:04 -0800
Source: libtest-apocalypse-perl
Binary: libtest-apocalypse-perl
Architecture: source all
Version: 0.05-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Ryan Niebur <ryan@debian.org>
Description: 
 libtest-apocalypse-perl - bundle of tests with a common interface
Closes: 514390
Changes: 
 libtest-apocalypse-perl (0.05-1) unstable; urgency=low
 .
   * Initial Release (Closes: #514390)
Checksums-Sha1: 
 18329439c5e2e985f52e490272d4cbf3a8b17a49 2404 libtest-apocalypse-perl_0.05-1.dsc
 836076a3eb4296be07b624b90b8a5eeb1d81a4dd 24879 libtest-apocalypse-perl_0.05.orig.tar.gz
 b4d0f4334cfca949ac653a930464c6b490e28090 2492 libtest-apocalypse-perl_0.05-1.diff.gz
 7c56dedb9c9cc95daa0c34d2a89de6495e885e73 65316 libtest-apocalypse-perl_0.05-1_all.deb
Checksums-Sha256: 
 96e5cbfb260f257a3a321032b0ec3829ecd1c4ec78ec720d53c5236b0112b0eb 2404 libtest-apocalypse-perl_0.05-1.dsc
 c56f1d1c3a78351d8fb681c16865015bab3363f3718dfb583f316da367f8549e 24879 libtest-apocalypse-perl_0.05.orig.tar.gz
 9677b5449adfc6bf31c38e70a90a073e9b4591b5d2d34a67b2248a4f8130c7ce 2492 libtest-apocalypse-perl_0.05-1.diff.gz
 d43e4b1820eda18ff985294c6825159c2370879fcb30a28ff3c310f186b020e2 65316 libtest-apocalypse-perl_0.05-1_all.deb
Files: 
 24d7ea33e8f32dafb0bc9989a78efe36 2404 perl optional libtest-apocalypse-perl_0.05-1.dsc
 c018ae0a973210eb9c4e944dc7fc0f95 24879 perl optional libtest-apocalypse-perl_0.05.orig.tar.gz
 ee879e4ad00951f95e30651f39f3a06b 2492 perl optional libtest-apocalypse-perl_0.05-1.diff.gz
 b8ca60251d6fbe0f2d48dbb152098d51 65316 perl optional libtest-apocalypse-perl_0.05-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAktH6GoACgkQMihv+PacasXtMwCgtVZss+2bwVjeWuVQGaJVuW1O
iuIAmQFU/GvsWewXMG/Qpa31ovr1lFP/
=08y/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 07 Feb 2010 07:32:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:49:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.